Markdown::Parser -

# class Markdown::Parser

- Markdown::Parser
- Reference
- Object

## Defined in:

## Constructors

- .new(text : String, renderer : Renderer)

## Instance Method Summary

- #append_double_newline_if_has_more
- #check_link(str, pos, bytesize)
- #classify(line)
- #code_fence?(line)
- #count_pounds(line)
- #empty?(line)
- #has_closing?(char, count, str, pos, bytesize)
- #has_code_spaces?(line)
- #horizontal_rule?(line)
- #join_next_lines(continue_on = :none, stop_on = :none)

  Join this line with next lines if they form a paragraph, until next lines don't start another entity like a list, header, etc.

- #line_is_all?(line, char)
- #newline
- #next_line_is_all?(char)
- #next_line_is_not_intended?
- #next_lines_empty_of_code?
- #parse
- #previous_line_is_not_intended_and_starts_with_bullet_list_marker?(prefix)
- #process_line(line)
- #process_paragraph
- #render_code
- #render_fenced_code(language : String)
- #render_header(level, line, increment)
- #render_horizontal_rule
- #render_ordered_list
- #render_paragraph
- #render_prefix_header(level, line)
- #render_quote
- #render_unordered_list(prefix = '*')
- #starts_with_bullet_list_marker?(line, prefix = nil)
- #starts_with_digits_dot?(line)

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(text : String, renderer : Renderer) #

## Instance Method Detail

def append_double_newline_if_has_more #
def check_link(str, pos, bytesize) #
def classify(line) #
def code_fence?(line) #
def count_pounds(line) #
def empty?(line) #
def has_closing?(char, count, str, pos, bytesize) #
def has_code_spaces?(line) #
def horizontal_rule?(line) #
def join_next_lines(continue_on = :none, stop_on = :none) #

Join this line with next lines if they form a paragraph, until next lines don't start another entity like a list, header, etc.

def line_is_all?(line, char) #
def newline #
def next_line_is_all?(char) #
def next_line_is_not_intended? #
def next_lines_empty_of_code? #
def parse #
def previous_line_is_not_intended_and_starts_with_bullet_list_marker?(prefix) #
def process_line(line) #
def process_paragraph #
def render_code #
def render_fenced_code(language : String) #
def render_header(level, line, increment) #
def render_horizontal_rule #
def render_ordered_list #
def render_paragraph #
def render_prefix_header(level, line) #
def render_quote #
def render_unordered_list(prefix = '*') #
def starts_with_bullet_list_marker?(line, prefix = nil) #
def starts_with_digits_dot?(line) #